<?php include 'library.php';
if (isset($_GET['action'])){
			$action = htmlentities($_GET['action']);
		}
		else{
			$action = NULL;
			}
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="css/bootstrap.css" rel="stylesheet" type="text/css" />
<title>Form Login</title>


</head>

<body>

	<div class="navbar navbar-fixed-top">
  <div class="navbar-inner">
    <div class="container"><!-- Collapsable nav bar -->
      <a class="btn btn-navbar" data-toggle="collapse" data-target=".nav-collapse">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </a>

      <!-- Your site name for the upper left corner of the site -->
      <a class="brand">Dropdown login</a>

      <!-- Start of the nav bar content -->
      <div class="nav-collapse"><!-- Other nav bar content -->
        <!-- The drop down menu -->
        <ul class="nav pull-right">
      <?php if(!isset($_SESSION['userid']) || $_SESSION['userid'] == ''){?>  
          <li><a href="#"><i class="icon-pencil"></i> Sign Up</a></li>
          <li class="divider-vertical"></li>
          <li class="dropdown">
            <a class="dropdown-toggle" href="#" data-toggle="dropdown"><i class="icon-lock"></i> Log-in <strong class="caret"></strong></a>
            <div class="dropdown-menu" style="padding: 15px; padding-bottom: 0px;">
              	<form>
                     <span class="text-warning" id="login_result"></span>
                     <input id="username" placeholder="Username" type="text"/>
                     <input id="password" placeholder="Password" type="password"/>
                     <button class="btn btn-primary" type="submit" id="login"><i class="icon-check"></i> Submit</button>       
                </form>
            </div>
          </li>
      <?php }else if(isset($_SESSION['userid']) && $_SESSION['userid'] != ''){?> 
      	  <li class="divider-vertical"></li>
      	  <li><a href="#"><strong>Welcome back:</strong> <?php echo ucfirst($_SESSION['username']); ?></a></li>
		  <li class="dropdown">
<a class="dropdown-toggle" href="#" data-toggle="dropdown"><i class="icon-user"></i> <strong class="caret"></strong></a>
            <ul class="dropdown-menu" role="menu" aria-labelledby="dLabel">
               <li><a href='?action=logout'><i class="icon-off"></i> Logout</a></li>	
            </ul>
          </li>
          <li class="divider-vertical"></li>
      <?php }?>   
          
        </ul>
      </div>
    </div>
  </div>
</div>

	<?php if($action == 'logout'){?>
    	<?php
		session_destroy();
		unset($_SESSION['userid']);
		unset($_SESSION['username']);
		echo '<script type="text/javascript">window.location = "./"; </script>';
	?>   
	<?php }?>

	<script src="js/jquery.js"></script>
    <script src="js/bootstrap-dropdown.js"></script>
    <script type="text/javascript">
$(document).ready(function(){
	$('#username').focus(); // Focus to the username field on body loads
	$('#login').click(function(){ // Create `click` event function for login
		var username = $('#username'); // Get the username field
		var password = $('#password'); // Get the password field
		var login_result = $('.text-warning'); // Get the login result div
		var loader = $('.loader');
		loader.html('loading..'); // Set the pre-loader can be an animation
		if(username.val() == ''){ // Check the username values is empty or not
			username.focus();
			login_result.html('<span class="text-error">Enter the username</span>');
			return false;
		}
		if(password.val() == ''){ // Check the password values is empty or not
			password.focus();
			login_result.html('<span class="text-error">Enter the password</span>');
			return false;
		}
		if(username.val() != '' && password.val() != ''){ // Check the username and password values is not empty and make the ajax request
			var UrlToPass = 'action=login&username='+username.val()+'&password='+password.val();
			$.ajax({ // Send the credential values to another checker.php using Ajax in POST menthod
			type : 'POST',
			data : UrlToPass,
			url  : 'checker.php',
			success: function(responseText){ // Get the result and asign to each cases
				if(responseText == 0){
					login_result.html('<span class="text-error">Username or Password Incorrect!</span>');
				}
				else if(responseText == 1){
					window.location = './';
				}
				else{
					alert('Problem with sql query');
				}
			}
			});
		}
		return false;
	});
});
</script>
   
    <script>	
			$(function() {
			  // Setup drop down menu
			  $('.dropdown-toggle').dropdown();			
			  // Fix input element click problem
			  $('.dropdown input, .dropdown label').click(function(e) {
				e.stopPropagation();
			  });
			});    
    </script>
 

</body>
</html>
